Subject: Re: bug#75828: [PATCH] Correct make-frame docstring vis-a-vis make_frame.c

From: Stefan Kangas <[email-masked]>
Date: Mon, 27 Jan 2025 12:30:45 -0600

Eli Zaretskii <[email-masked]> writes:

> I'm not sure we should reveal those details here.  Hidden buffers are
> handled specially in many places in Emacs, and I don't think we spell
> that out in every doc string.
>
> Stefan, WDYT?

On first approximation, I'd tend to agree with you, but I think Martin
made a good point later in this discussion, when he said the following.

martin rudalics <[email-masked]> writes:

> I think a new automatically buffer-local variable, say
> 'display-via-make-frame', would not harm anyone.

So I think we could install Martin's proposed patch, with NEWS and doc
changes of course.